Skip to main content
GET
/
bank-statements
/
{id}
/
confidence-summary
Get confidence level summary
curl --request GET \
  --url https://api.anycheck.ai/bank-statements/{id}/confidence-summary \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "file_path": "<string>",
  "confidence_summary": {
    "confidence_summary": [
      {
        "confidence_level": "LOW",
        "total": 2,
        "pages": [
          1,
          2
        ]
      },
      {
        "confidence_level": "MEDIUM",
        "total": 0,
        "pages": []
      },
      {
        "confidence_level": "HIGH",
        "total": 0,
        "pages": []
      }
    ],
    "file_path": "files/4868d25b-8468-481c-a421-0470cb85200f/2e5eb232-1954-4ee0-8ca5-ac7b5ebd02d9/uploads/b43eb8f5-763a-4c47-80cf-79816dcd9852_OCBC.pdf",
    "id": "c65a9c6a-f453-47c9-b457-befd4b487021"
  }
}

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login endpoint.

Example:

Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Path Parameters

id
string<uuid>
required

Verification ID

Query Parameters

file_index
integer
required

File index (required, 0-based)

Required range: x >= 0

Response

Confidence level summary data

id
string<uuid>

Verification ID

file_path
string

Path to the analyzed file

confidence_summary
object